Skip to content

Transfers

All operations require authentication.

6 operationsv1 · v2/domain/name · /domain/{serviceName}
Agent setup

List the FOAs (Form of Authorization) attached to a domain name taskBeta

GET
/v2/domain/name/{domainName}/task/{taskId}/foa

List the FOAs (Form of Authorization) attached to a domain name task. Trade operations may produce several FOAs (one per involved contact). Outgoing transfers produce a single FOA.

Path parameters

domainName
required
string

Domain name

taskId
required
stringuuid

Task ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Foa[]successful operation
checksum
read-only
string

Computed hash of the current state of the FOA. Reflects the latest observed state.

currentState
read-only
FoaCurrentState

Current state of the FOA

id
read-only
stringuuid

Unique identifier of the FOA

resourceStatus
read-only
ResourceStatusEnum

Readiness of the FOA resource

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses domainName = string, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/domain/name/{domainName}/task/{taskId}/foa \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "answeredAt": "2024-01-01T12:00:00Z", "choice": "ACCEPT", "contact": "string", "contactEmail": "string", "domain": "string", "expiresAt": "2024-01-01T12:00:00Z", "sentAt": "2024-01-01T12:00:00Z", "token": "string", "type": "OUTGOING_TRANSFER" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING" }]

Get a specific FOA (Form of Authorization) attached to a domain name taskBeta

GET
/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}

Path parameters

domainName
required
string

Domain name

foaId
required
stringuuid

Foa ID

taskId
required
stringuuid

Task ID

Response

200Foasuccessful operation
checksum
read-only
string

Computed hash of the current state of the FOA. Reflects the latest observed state.

currentState
read-only
FoaCurrentState

Current state of the FOA

id
read-only
stringuuid

Unique identifier of the FOA

resourceStatus
read-only
ResourceStatusEnum

Readiness of the FOA resource

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses domainName = string, foaId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "answeredAt": "2024-01-01T12:00:00Z", "choice": "ACCEPT", "contact": "string", "contactEmail": "string", "domain": "string", "expiresAt": "2024-01-01T12:00:00Z", "sentAt": "2024-01-01T12:00:00Z", "token": "string", "type": "OUTGOING_TRANSFER" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING"}

Resend the FOA (Form of Authorization) email to its recipientBeta

POST
/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}/resend

Resend the FOA (Form of Authorization) email to its recipient. Fails when the FOA has already been answered, when it is expired, or when the underlying task has already finished.

Path parameters

domainName
required
string

Domain name

foaId
required
stringuuid

Foa ID

taskId
required
stringuuid

Task ID

Response

200—successful operation

Example uses domainName = string, foaId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}/resend \
  -H "authorization: Bearer $OVH_TOKEN"

Return authInfo code if the domain is unlockedProduction

GET
/1.0/domain/{serviceName}/authInfo

Path parameters

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/authInfo \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Return the list of all .uk registrarsProduction

GET
/1.0/domain/{serviceName}/ukRegistrars

Path parameters

serviceName
required
string

Service name

Response

200UkRegistrar[]successful operation
name
read-only
string

Registrar name

tag
required
string

Registrar tag

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/ukRegistrars \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "name": "string", "tag": "string" }]

Schedule an outgoing transfer task for this domain (.uk only)Production

POST
/1.0/domain/{serviceName}/ukOutgoingTransfer

Path parameters

serviceName
required
string

Service name

Request body (required)

name
read-only
string

Registrar name

tag
required
string

Registrar tag

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

domain
read-only
string

Domain of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Todo date of the task

type
read-only
OperationTypeEnum

type of the task

Valuesalldomdomain

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/ukOutgoingTransfer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}